/* cstr.css */
body {
  margin: 0;
  padding: 0;
  background-color: #000;
}

p {
  text-align: center;
  font-family: "courier new";
  font-size: 16pt;
  font-weight: bold;
  color: #bbb;
}

#under_construction {
  position: relative;
  margin: 300px auto 0;
  width: 500px;
  height: 120px;
  background: linear-gradient(0deg, #000, #272727);
  padding-top: 20px;
}

#under_construction:before, #under_construction:after {
  content: '';
  position: absolute;
  left: -2px;
  top: -20px;
  background: linear-gradient(45deg, #fb0094, #0000ff, #00ff00, #ffff00, #ff0000, #fb0094,
      #0000ff, #00ff00, #ffff00, #ff0000);
  background-size: 400%;
  width: calc(100% + 4px);
  height: calc(100% + 40px);
  z-index: -1;
  animation: steam 30s linear infinite;
}

@keyframes steam {
  0% {
    background-position: 0 0;
  }

  25% {
    background-position: 125 50;
  }

  50% {
    background-position: 400% 0;
  }

  75% {
    background-position: 350% -100;
  }

  100% {
    background-position: 0 0;
  }
}

#under_construction:after {
  filter: blur(90px);
}
